Subject: bug#25401: tcc fails to build (test failure)

From: ng0 <[email-masked]>
Date: Tue, 10 Jan 2017 09:17:12 +0000

Ludovic Courtès <[email-masked]> writes:

> ng0 <[email-masked]> skribis:
>
>> Ludovic Courtès <[email-masked]> writes:
>>
>>> Ricardo Wurmus <[email-masked]> skribis:
>>>
>>>> The package “tcc” fails to build.  The check phase fails:
>>>>
>>>> starting phase `check'
>>>> make -C tests test
>>>> make[1]: Entering directory '/tmp/guix-build-tcc-0.9.26.drv-0/tcc-0.9.26/tests'
>>>> ------------ hello-exe ------------
>>>> ../tcc -B.. ../examples/ex1.c -o hello || (../tcc -vv; exit 1) && ./hello
>>>> ------------ hello-run ------------
>>>> ../tcc -B.. -run ../examples/ex1.c
>>>> Hello World
>>>> gcc -o libtcc_test libtcc_test.c ../libtcc.a -I..  -Wall -g -O2 -fno-strict-aliasing -Wno-pointer-sign -Wno-sign-compare -Wno-unused-result -DCONFIG_TCC_SYSINCLUDEPATHS="\"/gnu/store/iwgi9001dmmihrjg4rqhd6pa6788prjw-glibc-2.24/include:/gnu/store/jc898psn5yc9s328nn8fya3sc2daf037-linux-libre-headers-4.4.18/include:{B}/include\"" -DCONFIG_TCC_LIBPATHS="\"/gnu/store/iwgi9001dmmihrjg4rqhd6pa6788prjw-glibc-2.24/lib\"" -DCONFIG_TCC_CRTPREFIX="\"/gnu/store/iwgi9001dmmihrjg4rqhd6pa6788prjw-glibc-2.24/lib\"" -DCONFIG_TCC_ELFINTERP="\"/gnu/store/iwgi9001dmmihrjg4rqhd6pa6788prjw-glibc-2.24/lib/ld-linux-x86-64.so.2\"" -DTCC_TARGET_X86_64 -lm -ldl  
>>>> make[1]: *** [Makefile:63: hello-exe] Segmentation fault
>>>
>>> FWIW it started failing after the last ‘core-updates’ merge, which
>>> updated Binutils and glibc, among other things.
>>>
>>> We should check whether tinycc Git master has this problem.
>>>
>>> Ludo’.
>>
>> I have tcc-next (git checkout) in a branch since forever, I'm
>> testing this now again.
>
> Neat, and it doesn’t have this problem I guess?

I can neither confirm nor deny this, as I wasn't able to make it
build so far, but logical some bugs are fixed in this upstream.

> Could you give the URL of your repo again?

https://pagure.io/guix-dev/c/756043f48e685aac1259b205193b374ee589bd91

git clone https://pagure.io/guix-dev.git 
and then the branch "tinycc".

> Thanks,
> Ludo’.

-- 
♥Ⓐ  ng0 -- https://www.inventati.org/patternsinthechaos/